:root {
  color-scheme: light;
  --font-color: #000;
  --accent-color: #000;
  --fanclub-red: #f53434;
  --fanclub-lemon: #ecdf31;
  --fanclub-sky: #9bd9e4;

  --header-height: 60px;
  --content-width: 1392px;

  --swiper-theme-color: #000 !important;
}

:where(:focus-visible) {
  outline: none;
}

html {
  font-family: 'Oswald';
  font-weight: 400;
  /* background-color: #E5E5E5; */
  text-wrap: pretty;
}

header,
main {
  padding: 0;
}

span,
ul {
  font-size: 16px;
}

p {
  font-size: 16px;
  line-height: 30px;
}

@media screen and (max-width: 767px) {
  p {
    font-size: 14px;
  }

  span,
  ul {
    font-size: 14px;
  }
}

.accent-text {
  color: #f53434;
  font-weight: 600;
  font-size: 16px;
}

.font-en {
  font-family: 'Roboto', sans-serif;
}

p.two-lines {
  overflow: hidden;
  display: -webkit-box;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
}

/* Link */

a.underline {
  position: relative;
  color: #000;
  text-decoration: none;
}

a.underline:hover {
  color: #000;
}

a.underline:hover::before {
  transform: scaleX(1);
}

a.underline::before {
  content: '';
  position: absolute;
  display: block;
  width: 100%;
  height: 1px;
  bottom: -2px;
  left: 0;
  background-color: #000;
  transform: scaleX(0);
  transform-origin: top left;
  transition: transform 0.1s ease;
}

a.underborder {
  position: relative;
  text-decoration: none;
  display: inline-block;
  color: black;
  padding: 0 1px;
  transition: color ease 0.3s;
}

a.underborder::after {
  content: '';
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 0;
  left: 0;
  bottom: 20px;
  background-color: var(--accent-color);
  opacity: 0.3;
  transition: all ease 0.3s;
}

a.underborder:hover::after {
  height: 8px;
}

a.underline-w {
  position: relative;
  color: #fff;
  text-decoration: none;
}

a.underline-w:hover {
  color: #fff;
}

a.underline-w:hover::before {
  transform: scaleX(1);
}

a.underline-w::before {
  content: '';
  position: absolute;
  display: block;
  width: 100%;
  height: 1px;
  bottom: -2px;
  left: 0;
  background-color: #fff;
  transform: scaleX(0);
  transform-origin: top left;
  transition: transform 0.1s ease;
}

.readmore {
  text-align: right;
  margin-top: 30px;
  width: 100%;
}

.readmore a {
  display: inline-block !important;
  width: auto;
  position: relative;
  font-family: 'glacial_indifferencebold', 'Roboto';
  font-weight: 900;
  margin: 0 0 0 auto;
  text-transform: uppercase;
}

.readmore a:hover {
  color: var(--fanclub-red);
}

.readmore a::before {
  content: '';
  display: block;
  width: 2em;
  height: 1px;
  background: #000;
  position: absolute;
  top: 50%;
  left: -2.5em;
  margin-top: -1px;
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  outline: none;
  -webkit-transition: all 0.2s ease;
  transition: all 0.2s ease;
}

.readmore a:hover::before {
  background: #f53434;
  width: 0;
  left: -0.5em;
}

a img:hover {
  opacity: 0.8;
}

a.h-gray:hover {
  color: #999;
}

.btn {
  display: inline-block;
  padding: 8px 20px;
  min-width: 200px;
  border: 1px solid;
  border-image: linear-gradient(to right top, #ecdf31, #a9ea72, #78ebae, #74e4d7, #9bd9e4);
  border-image-slice: 1;
  text-align: center;
  text-transform: uppercase;
  text-decoration: none !important;
  position: relative;
  overflow: hidden;
  z-index: 1;
}

.btn-swipe::after {
  content: '';
  background: linear-gradient(to right top, #ecdf31, #a9ea72, #78ebae, #74e4d7, #9bd9e4);
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform: scale(0, 1);
  transform-origin: left top;
  transition: 0.2s cubic-bezier(0.45, 0, 0.55, 1);
  z-index: -1;
}

.btn-swipe:hover {
  color: #fff !important;
}

.btn-swipe:hover::after {
  transform: scale(1, 1);
}

.button.mp-hide-pw {
  padding: 0 12px 0 0 !important;
}

select::before {
  content: '';
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 5px 5px 0 5px;
  border-color: orange transparent transparent transparent;
  position: absolute;
  top: 50%;
  right: 5px;
  transform: translateY(-50%);
  pointer-events: none;
}

.content-wrapper {
  max-width: var(--content-width);
  margin: 0 auto;
  padding: 60px 24px;
}

@media screen and (max-width: 767px) {
  .content-wrapper {
    max-width: var(--content-width);
    margin: 0 auto;
    padding: 60px 24px;
  }
}

.youtube {
  width: 100%;
  aspect-ratio: 16 / 9;
}

.youtube iframe {
  width: 100%;
  height: 100%;
}

.pc-none {
  display: none;
}

.sp-none {
  display: block;
}

@media screen and (max-width: 767px) {
  .pc-none {
    display: block;
  }

  .sp-none {
    display: none;
  }
}

.post-new {
  font-size: 10px;
  color: transparent;
  display: block;
  position: relative;
}

.post-new::before {
  position: absolute;
  left: 0;
  top: 0;
  overflow: hidden;
  width: 0%;
  color: transparent;
  background-image: linear-gradient(90deg, #000, 10%, #000);
  -webkit-text-fill-color: transparent;
  -webkit-background-clip: text;
  animation: textSlide 1.4s infinite linear;
  content: 'NEW';
}

@keyframes textSlide {
  50%,
  100% {
    width: 100%;
  }
}

input.mepr-form-radios-input {
  width: 13px !important;
  height: 21px;
}

img {
  -webkit-user-drag: none;
  -webkit-touch-callout: none;
  user-select: none;
}

.has-inline-color {
  color: #120fff;
}

.pagination ul {
  display: flex;
  margin-top: 42px;
  justify-content: center;
  align-items: center;
}

/* li */
.pagination ul li {
  margin-left: -1px; /* border 겹침 제거 */
}

/* 기본 버튼 */
.pagination ul li a,
.pagination ul li span {
  display: inline-flex;
  justify-content: center;
  align-items: center;

  width: 34px;
  height: 34px;

  font-size: 14px;
  color: #000;
  text-decoration: none;

  border: 1px solid #000;

  transition: all 0.2s ease;
}

/* hover */
.pagination ul li a:hover {
  background: #000;
  color: #fff;
}

/* current */
.pagination ul li span.current,
.pagination ul li a.current {
  background: #000;
  color: #fff;
  font-weight: 700;
}

/* 첫 번째 */
.pagination ul li:first-child a,
.pagination ul li:first-child span {
  border-radius: 6px 0 0 6px;
}

/* 마지막 */
.pagination ul li:last-child a,
.pagination ul li:last-child span {
  border-radius: 0 6px 6px 0;
}

/* prev / next */
.pagination ul li a.prev,
.pagination ul li a.next {
  padding: 0 10px;
  width: auto;
  font-size: 13px;
}
